## ros-noetic-vision-msgs 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(vision_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  sensor_msgs
  geometry_msgs)

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  BoundingBox2D.msg
  BoundingBox2DArray.msg
  BoundingBox3D.msg
  BoundingBox3DArray.msg
  Classification2D.msg
  Classification3D.msg
  Detection2DArray.msg
  Detection2D.msg
  Detection3DArray.msg
  Detection3D.msg
  ObjectHypothesis.msg
  ObjectHypothesisWithPose.msg
  VisionInfo.msg
)

generate_messages(DEPENDENCIES
  std_msgs
  sensor_msgs
  geometry_msgs
)

catkin_package(CATKIN_DEPENDS
  message_runtime
  std_msgs
  sensor_msgs
  geometry_msgs
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(vision_msgs_test main.cpp)
add_dependencies(vision_msgs_test ${${PROJECT_NAME}_EXPORTED_TARGETS})

=== debian/changelog ===
ros-noetic-vision-msgs (0.0.2-1focal) focal; urgency=high

  * Added BoundingBox2DArray message #60 <https://github.com/ros-perception/vision_msgs/issues/60> from Fruchtzwerg94/array_for_2d_bounding_box
  * Upgrade CMake version to avoid CMP0048 warning
  * add BoundingBox3DArray message (#30 <https://github.com/ros-perception/vision_msgs/issues/30>)
    * add BoundingBoxArray message
  * Make message_generation and message_runtime use more specific depend tags (#24 <https://github.com/ros-perception/vision_msgs/issues/24>)
  * Fix dependency of unit test. (#14 <https://github.com/ros-perception/vision_msgs/issues/14>)
  * Minor bugfixes and code style updates
  * Contributors: Adam Allevato, Fruchtzwerg94, Leroy Rügemer, Masaya Kataoka, Ronald Ensing, mistermult

 -- Adam Allevato <adam.d.allevato@gmail.com>  Sat, 09 Apr 2022 07:00:00 -0000

ros-noetic-vision-msgs (0.0.1-1focal) focal; urgency=high

  * Initial commit
  * Contributors: Adam Allevato, Martin Gunther, procopiostein

 -- Adam Allevato <adam.d.allevato@gmail.com>  Tue, 14 Nov 2017 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-vision-msgs
Section: misc
Priority: optional
Maintainer: Adam Allevato <adam.d.allevato@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-rosunit, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-vision-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Messages for interfacing with various computer vision pipelines, such as object detectors.
